Name:		SDL_ttf
Version:	2.0.9
Release:	1
Summary:	Simple DirectMedia Layer TrueType Font library

Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://www.libsdl.org/projects/SDL_ttf/
Source0:	http://www.libsdl.org/projects/%{name}/release/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	SDL-devel >= 1.2.13
BuildRequires:	freetype2-devel >= 2.3.5
BuildRequires:	zlib-devel
Requires:	SDL >= 1.2.13
Requires:	freetype2 >= 2.3.5
Requires:	zlib

%description
This library allows you to use TrueType fonts to render text in SDL
applications.


%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel >= 1.2.13


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --with-freetype-prefix=%{_prefix} \
    --with-sdl-prefix=%{_prefix} \
    --with-x
make %{?_smp_mflags}

cp .libs/libSDL_ttf-2.0.so.0 .
make distclean

# now build the 32-bit version
export CC=xlc
./configure \
    --prefix=%{_prefix} \
    --with-freetype-prefix=%{_prefix} \
    --with-sdl-prefix=%{_prefix} \
    --with-x
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q .libs/libSDL_ttf-2.0.a ./libSDL_ttf-2.0.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README CHANGES COPYING
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system)
%{_includedir}/*
%{_libdir}/*.la
/usr/include/*
/usr/lib/*.la


%changelog
* Sat Nov 01 2008 Michael Perzl <michael@perzl.org> - 2.0.9-1
- first version for AIX5L v5.1 and higher
